#!/bin/sh

# Проверяем наличие сертификатов для yalarba.ru
if [ ! -d "/etc/letsencrypt/live/yalarba.ru" ]; then
  echo "Получаем новые сертификаты yalarba.ru ..."
  certbot certonly --webroot \
    --config /etc/letsencrypt/config/certbot.ini \
    -w /var/www/certbot \
    -d ${DOMAINS_yalarba}
fi

echo "сertificates for ${DOMAINS_yalarba} is ready"

# Проверяем наличие сертификатов для valitovgaziz.ru
if [ ! -d "/etc/letsencrypt/live/valitovgaziz.ru" ]; then
  echo "Получаем новые сертификаты valitovgaziz ..."
  certbot certonly --webroot \
    --config /etc/letsencrypt/config/certbot.ini \
    -w /var/www/certbot \
    -d ${DOMAINS_valitovgaziz}
fi

echo "сertificates for ${DOMAINS_valitovgaziz} is ready"

# Проверяем наличие сертификатов для easysite102.ru
if [ ! -d "/etc/letsencrypt/live/easysite102.ru" ]; then
  echo "Получаем новые сертификаты easysite102.ru ..."
  certbot certonly --webroot \
    --config /etc/letsencrypt/config/certbot.ini \
    -w /var/www/certbot \
    -d ${DOMAINS_easysite102}
fi

echo "сertificates for ${DOMAINS_easysite102} is ready"

# Проверяем наличие сертификатов для бегущийбашкир.рф
if [ ! -d "/etc/letsencrypt/live/xn--80abahjtcfl5d0a8di.xn--p1ai" ]; then
  echo "Получаем новые сертификаты xn--80abahjtcfl5d0a8di.xn--p1ai(бегущийбашкир.рф) ..."
  certbot certonly --webroot \
    --config /etc/letsencrypt/config/certbot.ini \
    -w /var/www/certbot \
    -d ${DOMAINS_begushiybashkir}
fi

echo "сertificates for ${DOMAINS_begushiybashkir} is ready"

# Проверяем наличие сертификатов для begushiybashkir.ru
if [ ! -d "/etc/letsencrypt/live/begushiybashkir.ru" ]; then
  echo "Получаем новые сертификаты begushiybashkir.ru ..."
  certbot certonly --webroot \
    --config /etc/letsencrypt/config/certbot.ini \
    -w /var/www/certbot \
    -d ${DOMAINS_begushiybashkir_latin}
fi

echo "сertificates for ${DOMAINS_begushiybashkir_latin} is ready"

set -e # Завершаем работу, если любая команда вернёт ошибку

# Активируем сервис cron
/usr/sbin/crond -f &
crond -f &

# Копируем нашу собственную crontab таблицу
cp /opt/crontab.txt /etc/crontabs/root

# Оставляем контейнер открытым
tail -f /dev/null

